=== debian/changelog ===
ros-class-loader (0.3.2-1) unstable; urgency=medium

  * Initial release (Closes: #804932)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Fri, 25 Dec 2015 21:17:00 +0000
