=== debian/control ===
Source: ros-class-loader
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 9), catkin (>> 0.6.16-2), libboost-thread-dev, libboost-system-dev,
		libconsole-bridge-dev, libpoco-dev, ros-cmake-modules
Standards-Version: 3.9.6
Section: libs
Homepage: http://wiki.ros.org/class_loader
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-class-loader.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-class-loader.git

Package: libclass-loader-dev
Section: libdevel
Architecture: any
Depends: libclass-loader0d (= ${binary:Version}), libpoco-dev, libconsole-bridge-dev, libboost-dev, libboost-thread-dev, libboost-system-dev, ${misc:Depends}
Description: development files for Robot OS class_loader library
 This package is part of Robot OS (ROS). The class_loader package is a
 ROS-independent package for loading plugins during runtime and the
 foundation of the higher level ROS "pluginlib" library.  class_loader
 utilizes the host operating system's runtime loader to open runtime
 libraries (e.g. .so/.dll files), introspect the library for exported
 plugin classes, and allows users to instantiate objects of said
 exported classes without the explicit declaration (i.e. header file)
 for those classes.
 .
 This package contains the development files for the library.

Package: libclass-loader0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: ROS class_loader library
 This package is part of Robot OS (ROS). The class_loader package is a
 ROS-independent package for loading plugins during runtime and the
 foundation of the higher level ROS "pluginlib" library.  class_loader
 utilizes the host operating system's runtime loader to open runtime
 libraries (e.g. .so/.dll files), introspect the library for exported
 plugin classes, and allows users to instantiate objects of said
 exported classes without the explicit declaration (i.e. header file)
 for those classes. 
 .
 This package contains the library.
