## ros-class-loader 0.3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,12 @@
 project(class_loader)
 
 find_package(Boost REQUIRED COMPONENTS thread system)
-find_package(catkin QUIET)
+
+set(CATKIN_DISABLED false CACHE BOOL "Disable the catkin build, useful if catkin is present but a build outside or ros is done" )
+if(NOT CATKIN_DISABLED)
+  find_package(catkin QUIET)
+endif()
+
 find_package(console_bridge REQUIRED)
 
 if(${catkin_FOUND})
@@ -32,7 +37,15 @@
   src/meta_object.cpp
   src/multi_library_class_loader.cpp
 )
-add_library(${PROJECT_NAME} ${${PROJECT_NAME}_SRCS})
+set(${PROJECT_NAME}_HDRS
+  include/class_loader/class_loader_core.h
+  include/class_loader/class_loader_exceptions.h
+  include/class_loader/class_loader.h
+  include/class_loader/class_loader_register_macro.h
+  include/class_loader/meta_object.h
+  include/class_loader/multi_library_class_loader.h
+)
+add_library(${PROJECT_NAME} ${${PROJECT_NAME}_SRCS} ${${PROJECT_NAME}_HDRS})
 target_link_libraries(${PROJECT_NAME} ${Boost_LIBRARIES} ${console_bridge_LIBRARIES} ${Poco_LIBRARIES})
 
 install(TARGETS ${PROJECT_NAME}
@@ -46,7 +59,7 @@
   add_subdirectory(test)
 endif()
 
-if(NOT ${catkin_FOUND})
+if(NOT catkin_FOUND)
   set(TARGET_NAME ${PROJECT_NAME})
   set(PKGCONFIG_LIBS 
     ${Boost_LIBRARIES}
