=== debian/changelog ===
ros-class-loader (0.3.4-1build1) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:31:41 +0000

ros-class-loader (0.3.4-1) unstable; urgency=medium

  * Imported Upstream version 0.3.4
  * Refresh patches

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jul 2016 12:27:06 +0200
