=== debian/changelog ===
ros-class-loader (0.3.6-1build2) artful; urgency=medium

  * No-change rebuild against libpocofoundation48

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 26 Aug 2017 08:19:29 +0000

ros-class-loader (0.3.6-1build1) zesty; urgency=medium

  * Rebuild against new libpoco*46.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 16 Nov 2016 09:30:27 +0100

ros-class-loader (0.3.6-1) unstable; urgency=medium

  * New upstream version 0.3.6

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 04 Nov 2016 09:49:23 +0100

ros-class-loader (0.3.5-1) unstable; urgency=medium

  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Update Vcs URLs
  * Update my email address
  * New upstream version 0.3.5

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 24 Sep 2016 17:55:01 +0200
