=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: ros-class-loader
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
+           Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Build-Depends: debhelper (>= 9), catkin (>> 0.6.16-2), libboost-thread-dev, libboost-system-dev,
 		libconsole-bridge-dev, libpoco-dev, ros-cmake-modules
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Section: libs
 Homepage: http://wiki.ros.org/class_loader
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-class-loader.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-class-loader.git
+Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-class-loader.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-class-loader.git
 
 Package: libclass-loader-dev
 Section: libdevel
