=== debian/changelog ===
ros-class-loader (0.3.8-1build2) bionic; urgency=medium

  * No-change rebuild against libconsole-bridge0.4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 02 Mar 2018 07:12:14 +0000

ros-class-loader (0.3.8-1build1) bionic; urgency=medium

  * No-change rebuild for libpoco soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 10 Feb 2018 00:14:47 +0000

ros-class-loader (0.3.8-1) unstable; urgency=medium

  * Update watch file
  * Remove old catkin version
  * Limit watch file to ROS1 version
  * New upstream version 0.3.8
  * Update policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 23 Dec 2017 17:34:22 +0100
