=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 9), catkin (>> 0.6.16-2), libboost-thread-dev, libboost-system-dev,
+Build-Depends: debhelper (>= 10), catkin, libboost-thread-dev, libboost-system-dev,
 		libconsole-bridge-dev, libpoco-dev, ros-cmake-modules
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Section: libs
 Homepage: http://wiki.ros.org/class_loader
 Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-class-loader.git
