## ros-class-loader 0.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,13 @@
-cmake_minimum_required(VERSION 2.8.3)
-project(class_loader)
+cmake_minimum_required(VERSION 3.5)
+project(class_loader CXX)
+
+# Default to C++14
+if(NOT CMAKE_CXX_STANDARD)
+  set(CMAKE_CXX_STANDARD 14)
+endif()
+if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+  add_compile_options(-Wall -Wextra -Wpedantic)
+endif()
 
 find_package(Boost REQUIRED COMPONENTS thread system)
 
@@ -38,16 +46,20 @@
   src/multi_library_class_loader.cpp
 )
 set(${PROJECT_NAME}_HDRS
-  include/class_loader/class_loader.h
-  include/class_loader/class_loader_core.h
-  include/class_loader/class_loader_exceptions.h
-  include/class_loader/class_loader_register_macro.h
-  include/class_loader/console_bridge_compatibility.h
-  include/class_loader/meta_object.h
-  include/class_loader/multi_library_class_loader.h
+  include/class_loader/class_loader.hpp
+  include/class_loader/class_loader_core.hpp
+  include/class_loader/exceptions.hpp
+  include/class_loader/meta_object.hpp
+  include/class_loader/multi_library_class_loader.hpp
+  include/class_loader/register_macro.hpp
 )
 add_library(${PROJECT_NAME} ${${PROJECT_NAME}_SRCS} ${${PROJECT_NAME}_HDRS})
 target_link_libraries(${PROJECT_NAME} ${Boost_LIBRARIES} ${console_bridge_LIBRARIES} ${Poco_LIBRARIES})
+if(WIN32)
+  # Causes the visibility macros to use dllexport rather than dllimport
+  # which is appropriate when building the dll but not consuming it.
+  target_compile_definitions(${PROJECT_NAME} PRIVATE "CLASS_LOADER_BUILDING_DLL")
+endif()
 
 install(TARGETS ${PROJECT_NAME}
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
@@ -55,6 +67,9 @@
   RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
 install(DIRECTORY include/class_loader/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})
+
+install(PROGRAMS scripts/class_loader_headers_update.py
+  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
 
 if(CATKIN_ENABLE_TESTING)
   add_subdirectory(test)
