=== debian/changelog ===
ros-class-loader (0.4.1-2build3) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 21:32:15 +0000

ros-class-loader (0.4.1-2build2) eoan; urgency=medium

  * No change rebuild to pick up poco multiarch locations

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Aug 2019 16:21:09 +0200

ros-class-loader (0.4.1-2build1) cosmic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 13:13:33 +0000

ros-class-loader (0.4.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 21 Jun 2018 09:00:53 +0200

ros-class-loader (0.4.1-1) experimental; urgency=medium

  * Update Vcs URLs to salsa.d.o
  * Add R³
  * http -> https
  * New upstream version 0.4.1
  * Update copyright
  * Rebase patch
  * Bump Soname due to ABI change
  * Bump policy version

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 16 Jun 2018 19:09:15 +0200
