=== debian/control ===
--- 
+++ 
@@ -5,18 +5,19 @@
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 10), catkin, libboost-thread-dev, libboost-system-dev,
+Build-Depends: debhelper (>= 11), catkin, libboost-thread-dev, libboost-system-dev,
 		libconsole-bridge-dev, libpoco-dev, ros-cmake-modules
-Standards-Version: 4.1.2
+Standards-Version: 4.1.4
 Section: libs
-Homepage: http://wiki.ros.org/class_loader
-Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-class-loader.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-class-loader.git
+Rules-Requires-Root: no
+Homepage: https://wiki.ros.org/class_loader
+Vcs-Git: https://salsa.debian.org/science-team/ros-class-loader.git
+Vcs-Browser: https://salsa.debian.org/science-team/ros-class-loader
 
 Package: libclass-loader-dev
 Section: libdevel
 Architecture: any
-Depends: libclass-loader0d (= ${binary:Version}), libpoco-dev, libconsole-bridge-dev, libboost-dev, libboost-thread-dev, libboost-system-dev, ${misc:Depends}
+Depends: libclass-loader1d (= ${binary:Version}), libpoco-dev, libconsole-bridge-dev, libboost-dev, libboost-thread-dev, libboost-system-dev, ${misc:Depends}
 Description: development files for Robot OS class_loader library
  This package is part of Robot OS (ROS). The class_loader package is a
  ROS-independent package for loading plugins during runtime and the
@@ -29,7 +30,7 @@
  .
  This package contains the development files for the library.
 
-Package: libclass-loader0d
+Package: libclass-loader1d
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
