=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jochen Sprickerhof <jspricke@debian.org>,
+Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 11), catkin, libboost-thread-dev, libboost-system-dev,
+Build-Depends: debhelper-compat (= 13), catkin (>= 0.8.10-1~), libboost-thread-dev, libboost-system-dev,
 		libconsole-bridge-dev, libpoco-dev, ros-cmake-modules
-Standards-Version: 4.1.4
+Standards-Version: 4.6.0
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/class_loader
@@ -17,7 +16,8 @@
 Package: libclass-loader-dev
 Section: libdevel
 Architecture: any
-Depends: libclass-loader1d (= ${binary:Version}), libpoco-dev, libconsole-bridge-dev, libboost-dev, libboost-thread-dev, libboost-system-dev, ${misc:Depends}
+Multi-Arch: same
+Depends: libclass-loader1d (= ${binary:Version}), libpoco-dev, libconsole-bridge-dev, libboost-thread-dev, libboost-system-dev, ${misc:Depends}
 Description: development files for Robot OS class_loader library
  This package is part of Robot OS (ROS). The class_loader package is a
  ROS-independent package for loading plugins during runtime and the
