=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-class-loader-$1.tar.gz%" \
    https://github.com/ros/class_loader/tags \
    (?:.*?/)?v?(0.\d[\d.]*)\.tar\.gz
