## ros-class-loader 2.3.0

=== debian/changelog ===
ros-class-loader (2.3.0-7) unstable; urgency=medium

  * Add breaks for autopkgtests

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 14 Jun 2022 19:32:12 +0200

ros-class-loader (2.3.0-6) unstable; urgency=medium

  * Fix patch for HPPA

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 12 Jun 2022 17:30:29 +0200

ros-class-loader (2.3.0-5) unstable; urgency=medium

  * Fix test for powerpc

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 12 Jun 2022 16:33:12 +0200

ros-class-loader (2.3.0-4) unstable; urgency=medium

  * Disable an other test

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 12 Jun 2022 15:08:30 +0200

ros-class-loader (2.3.0-3) unstable; urgency=medium

  * Add patch for failing tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 12 Jun 2022 13:53:19 +0200

ros-class-loader (2.3.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 12 Jun 2022 10:58:18 +0200

ros-class-loader (2.3.0-1) experimental; urgency=medium

  * d/watch allow latest upstream again
  * New upstream version 2.3.0
  * Update d/copyright
  * Switch to ament and dh-ros
  * Bump Soname due to ABI change
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 02 Jun 2022 21:57:45 +0200
