=== debian/control ===
--- 
+++ 
@@ -1,12 +1,19 @@
 Source: ros-class-loader
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper-compat (= 13), catkin (>= 0.8.10-1~), libboost-thread-dev, libboost-system-dev,
-		libconsole-bridge-dev, libpoco-dev, ros-cmake-modules
-Standards-Version: 4.6.0
+Build-Depends:
+ debhelper-compat (= 13),
+ ament-cmake,
+ ament-cmake-googletest <!nocheck>,
+ ament-cmake-ros,
+ ament-lint <!nocheck>,
+ cmake,
+ dh-ros,
+ libconsole-bridge-dev,
+ librcpputils-dev,
+Standards-Version: 4.6.1
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/class_loader
@@ -17,7 +24,12 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libclass-loader1d (= ${binary:Version}), libpoco-dev, libconsole-bridge-dev, libboost-thread-dev, libboost-system-dev, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ libclass-loader2d (= ${binary:Version}),
+ libconsole-bridge-dev,
+ librcpputils-dev,
+Breaks: pluginlib-dev (<< 5.2.0)
 Description: development files for Robot OS class_loader library
  This package is part of Robot OS (ROS). The class_loader package is a
  ROS-independent package for loading plugins during runtime and the
@@ -30,7 +42,7 @@
  .
  This package contains the development files for the library.
 
-Package: libclass-loader1d
+Package: libclass-loader2d
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
