=== debian/changelog ===
ros-class-loader (2.4.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 15 Nov 2022 11:08:21 +0100

ros-class-loader (2.4.0-1) experimental; urgency=medium

  [ Jochen Sprickerhof ]
  * New upstream version 2.4.0
  * Move package description to source package

  [ Timo Röhling ]
  * Bump SONAME to 3d
  * Add myself to uploaders

 -- Timo Röhling <roehling@debian.org>  Sat, 05 Nov 2022 12:04:03 +0100

ros-class-loader (2.3.1-1) unstable; urgency=medium

  * New upstream version 2.3.1

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 14 Sep 2022 16:57:15 +0200
