## ros-class-loader 2.6.0

=== debian/changelog ===
ros-class-loader (2.6.0-1) unstable; urgency=medium

  * New upstream version 2.6.0
  * Rediff patches
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 16 Jun 2023 19:49:04 +0200
