## ros-class-loader 2.7.0

=== debian/changelog ===
ros-class-loader (2.7.0-1) unstable; urgency=medium

  * New upstream version 2.7.0
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Thu, 04 Jan 2024 23:53:33 +0100
