## ros-class-loader 2.8.0

=== debian/changelog ===
ros-class-loader (2.8.0-1) unstable; urgency=medium

  * New upstream version 2.8.0
  * Bump Standards-Version to 4.7.0

 -- Timo Röhling <roehling@debian.org>  Mon, 29 Apr 2024 00:04:42 +0200
