=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  dh-ros,
  libconsole-bridge-dev,
  librcpputils-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/class_loader
