=== debian/changelog ===
ros-class-loader (2.9.0-1) unstable; urgency=medium

  * New upstream version 2.9.0
  * Bump Standards-Version to 4.7.2
  * Wrap and sort Debian package files

 -- Timo Röhling <roehling@debian.org>  Wed, 20 Aug 2025 19:08:09 +0200
